<!-- <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a class="nav-link"  routerLink="">Home </a>
      </li>
     
      <li class="nav-item">
        <a class="nav-link" routerLink="./userCration">User Cretion</a>
      </li>
     
    </ul>
  </nav>
  <div class="container ml-2 row col-md-12 col-sm-12">
      <router-outlet></router-outlet>
  </div>
   -->
    
 
    <div class="hero_area">
      <!-- header section strats -->
      <header class="header_section">
        <div class="container-fluid">
          <div class="row">
            <div class="col-lg-8">
              <nav class="navbar navbar-expand-lg custom_nav-container ">
                <a class="navbar-brand" href="index.html">
                  <span>
                    BigWing
                  </span>
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>
  
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <div class="d-flex  flex-column flex-lg-row align-items-center">
                    <ul class="navbar-nav  ">
                      <li class="nav-item active">
                        <a class="nav-link" href="index.html">Home <span class="sr-only">(current)</span></a>
                      </li>
                      <li class="nav-item">
                        
                        <a class="nav-link"  >Profile </a>
                   
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="service.html">Services </a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="contact.html">Contact</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="#"> Login</a>
                      </li>
                    </ul>
                    <form class="form-inline my-2 my-lg-0 ml-0 ml-lg-4 mb-3 mb-lg-0">
                      <button class="btn  my-2 my-sm-0 nav_search-btn" type="submit"></button>
                    </form>
                  </div>
                </div>
              </nav>
            </div>
          </div>
        </div>
      </header>
      <!-- end header section -->
      <!-- slider section -->
      <section class=" slider_section ">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active">01</li>
            
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <div class="container">
                <div class="row">
                  <div class="col-lg-5 col-md-6">
                    <div class="slider_detail-box">
                      <h1>
                      
                      </h1>
                      <p>
                        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis
                        nostrud exercitation ullamco laboris nisi
                      </p>
                      <div class="btn-box">
                        <!-- <a href="" class="btn-1">
                         Register
                        </a> -->
                        <button style="display: none;" type="button" id="Register" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalCenter">
                          Register
                        </button>
                        <button class="btn btn-primary"  (click)="add()">Register</button>
                      </div>
                    </div>
                  </div>
                  
                </div>
              </div>
            </div>
          
          </div>
        
        </div>
      </section>
      <!-- end slider section -->
  
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content ">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Registration Form</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row" [formGroup]="userForm">
              <div class="col-sm-2">
                <img height="100px" width="100px" [src]="_d.bypassSecurityTrustUrl(imgsrc)">
                <input type="file" (change)="fileChange($event)">
              </div>
              <div class="col-sm-8">
                <div class="row" >
                  <div class="card m-1 ">
                    
                      <div class="crad-body mt-2 p-3">
                          <div class="row">
                              <div class="col-md-6 mb-4">
              
                                  <div class="form-outline">
                                      <input type="text"  (keypress)="allowOnlyLetters($event)" id="firstName" formControlName="fName" class="form-control form-control-lg"
                                          placeholder="First Name"  [ngClass]="{ 'is-invalid': submitted && f.fName.errors }" />
                                          <div *ngIf="submitted && f.fName.errors" class="invalid-feedback">
                                              <div *ngIf="f.fName.errors.required">First Name is required</div>
                                            </div>
                                  </div>
              
                              </div>
                              <div class="col-md-6 mb-4">
              
                                  <div class="form-outline">
                                      <input type="text" id="lastName" (keypress)="allowOnlyLetters($event)" formControlName="LName" class="form-control form-control-lg"
                                          placeholder="Last Name" [ngClass]="{ 'is-invalid': submitted && f.LName.errors }" />
                                          <div *ngIf="submitted && f.LName.errors" class="invalid-feedback">
                                              <div *ngIf="f.LName.errors.required">Last Name is required</div>
                                            </div>
                                  </div>
              
                              </div>
                          </div>
                          <div class="row">
                              <div class="col-md-12 mb-4">
                                  <div class="form-outline">
                                      <input type="email"    formControlName="Emial" class="form-control form-control-lg"
                                          placeholder="Email"  [ngClass]="{ 'is-invalid': submitted && f.Emial.errors }" />
                                          <div *ngIf="submitted && f.Emial.errors" class="invalid-feedback">
                                              <div *ngIf="f.Emial.errors.required">Email is required</div>
                                            </div>
                                  </div>
                              </div>
              
                          </div>
                          <div class="row">
                              <div class="col-md-12 mb-4">
                                  <div class="form-outline">
                                      <input type="text"   (keypress)="numberOnly($event)" formControlName="MobileNO" class="form-control form-control-lg"
                                          placeholder="Mobile No" [ngClass]="{ 'is-invalid': submitted && f.MobileNO.errors }" />
                                  </div>
                                  <div *ngIf="submitted && f.MobileNO.errors" class="invalid-feedback">
                                      <div *ngIf="f.MobileNO.errors.required">Mobile No is required</div>
                                    </div>
                              </div>
              
                          </div>
                          <div class="row ">
                              <div class="col-md-12">
                                  <input type="text" formControlName="Age" class="form-control form-control-lg"
                                      placeholder="Age"   (keypress)="numberOnly($event)"  [ngClass]="{ 'is-invalid': submitted && f.Age.errors }"/>
                                      <div *ngIf="submitted && f.Age.errors" class="invalid-feedback">
                                          <div *ngIf="f.Age.errors.required">Age is required</div>
                                        </div>
                                        <!-- <div class="slidecontainer">
                                          <input type="range" min="1" max="100" value="50" class="slider" id="myRange">
                                          <p>Age: <span id="demo"></span></p>
                                        </div> -->
                                
                              </div>
                          </div>
                          <div class="row mt-1">
                              <div class="col-md-12">
                                  <select name="State" id=""  formControlName="State"
                                      class="form-control  form-select  form-control-lg"  [ngClass]="{ 'is-invalid': submitted && f.State.errors }">
                                      <option selected>State</option>
                                    
                                      <option value="MH">MH</option>
                                  </select>
                                  <div *ngIf="submitted && f.State.errors" class="invalid-feedback">
                                      <div *ngIf="f.State.errors.required">State is required</div>
                                    </div>
                                   
                              </div>
                          </div>
                          <div class="row mt-1">
                              <div class="col-md-12">
                                  <select name="" id="" placeholder="Contry" formControlName="contry"
                                      class="form-control  form-control-lg"  [ngClass]="{ 'is-invalid': submitted && f.contry.errors }">
                                      <option >Country</option>
                                      <option value="India">India</option>
                                  </select>
                                  <div *ngIf="submitted && f.contry.errors" class="invalid-feedback">
                                      <div *ngIf="f.contry.errors.required">Contry is required</div>
                                    </div>
                              </div>
                          </div>
                          <div class="row">
                            <div class="col-md-12 mb-4">
                                <div class="form-outline">
                                    <textarea type="text" id="lastName" formControlName="Address" class="form-control form-control-lg"
                                        placeholder="Address" [ngClass]="{ 'is-invalid': submitted && f.Address.errors }" ></textarea>
                                </div>
                                <div *ngIf="submitted && f.Address.errors" class="invalid-feedback">
                                    <div *ngIf="f.Address.errors.required">Address is required</div>
                                  </div>
                            </div>
            
                        </div>
                          <div class="row mt-1">
                              <div class="col-md-12">
                                  <!-- <input type="email" id="lastName" formControlName="tags"  [ngClass]="{ 'is-invalid': submitted && f.tags.errors }" class="form-control form-control-lg"
                                      placeholder="Tags" /> -->
                                      <input type="checkbox" id="defaultCheck"  class="mr-2" name="example2">
                                      <label for="defaultCheck" class="mr-4">Cricket</label> 
                                      <input type="checkbox" id="defaultCheck"  class="mr-2" name="example2">
                                      <label for="defaultCheck"  class="mr-4">Football</label>
                                      <input type="checkbox" id="defaultCheck"  class="mr-2" name="example2">
                                      <label for="defaultCheck">Hockey</label>
                                      <div *ngIf="submitted && f.tags.errors" class="invalid-feedback">
                                          <div *ngIf="f.tags.errors.required">Tagsis required</div>
                                        </div>
                              </div>
                          </div>
                          <div class="row">
                              <div class="col-md-12 form-inline">
                                  <input type="checkbox" class="form-control mr-3">Subscribe to newsletter
                              </div>
                          </div>
                         
                      </div>
                  </div>
              </div>
              </div>
            </div>
           
          </div>
          <div class="modal-footer">
           
            <button type="button" id="btnclose" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary" (click)="insert()" *ngIf="addbtn">Save changes</button>
            <button type="button" class="btn btn-primary" (click)="Update()" *ngIf="updatebtn">Update</button>
          </div>
        </div>
      </div>
    </div>
    <section class="service_">
     <div class="container ">
      <b><h5 class="text-center">Registered User </h5></b>
     </div>
     <div class="container" style="height: 400px; overflow:auto;">
     <table class="table" >
      <thead>
        <th>Action</th>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Email</th>
        <th>Mobile Number</th>
        <th>Age</th>
        <th>State</th>
        <th>Contry</th>
        <th>Address</th>
      </thead>
      <tbody *ngFor="let data of data">
        <td><button class="btn btn-info" (click)="edit(data.id)">Edit</button>
          <button class="btn btn-danger ml-3" (click)="Delete(data.id)">Delete</button>
        </td>
     
        <td>{{data.FName}}</td>
        <td>{{data.LName}}</td>
        <td>{{data.Email}}</td>
        <td>{{data.MobileNO}}</td>
        <td>{{data.Age}}</td>
        <td>{{data.State}}</td>
        <td>{{data.Contry}}</td>
        <td>{{data.Address}}</td>
      </tbody>
     </table>
     </div>
    </section>
  </div>
  
 
 
    